showconsole()
clearconsole()
mydir="./"
open(mydir .. "pinewood.FEM")
mi_saveas(mydir .. "temp.fem")
print("Frequency","Vertical force (N)")
for n=0,2000,100 do
    mi_deletecircuit("Coil")
    mi_addcircprop("Coil",3, 1)
    mi_probdef(n,"millimeters","axi",1E-8)
    mi_analyze()
    mi_loadsolution()
    mo_groupselectblock(1)
    fz=mo_blockintegral(12)
    print(n,fz)
end
print("\n")

print("Frequency","Current Density below coil (MA/m^2)")
for n=0,2000,100 do
    mi_deletecircuit("Coil")
    mi_addcircprop("Coil", 3, 1)
    mi_probdef(n,"millimeters","axi",1E-8)
    mi_analyze()
    mi_loadsolution()
    mo_groupselectblock(1)
    fz=mo_blockintegral(12)
    x, x, x, x, x, x, x, Je=mo_getpointvalues(22.5,2.9)
    print(n, Je)
end
print("\n")

print("Turns", "Frequency (Hz)", "Vertical Force (N)")
for n=1,100,5 do
    mi_deletecircuit("Coil")
    mi_addcircprop("Coil",3, 1)
    mi_selectgroup(1)
    mi_setblockprop("30 AWG", 1, 0, "Coil", 0, 1, n)
    freq = ((15/3)-(0.047*n))/(2*3.14*0.00000221*n^2)
    mi_probdef(freq,"millimeters","axi",1E-8)
    mi_analyze()
    mi_loadsolution()
    mo_groupselectblock(1)
    fz=mo_blockintegral(12)
    print(n, freq, fz)
end
print("\n")

mo_close()
mi_close()

open(mydir .. "pinewoodnoplate.FEM")
mi_saveas(mydir .. "temp.fem")

print("Turns", "Flux linkage (Webers)")
for n=1,100,5 do
    mi_deletecircuit("Coil")
    mi_addcircprop("Coil",3, 1)
    mi_selectgroup(1)
    mi_setblockprop("30 AWG", 1, 0, "Coil", 0, 1, n)
    mi_probdef(0,"millimeters","axi",1E-8)
    mi_analyze()
    mi_loadsolution()
    x, x, flux_re = mo_getcircuitproperties("Coil")
    print(n, flux_re)
end

mo_close()
mi_close()